import { IElasticsearchIndexingTaskValuesSettings, IIndexSettingsValues } from "../types";
import { IIndexManager } from "./types";
import { Client } from "@webiny/api-elasticsearch";
export interface IListIndicesResponse {
    index: string;
}
export declare class IndexManager implements IIndexManager {
    private readonly client;
    private readonly disable;
    private readonly enable;
    private readonly _settings;
    private readonly defaults;
    get settings(): IElasticsearchIndexingTaskValuesSettings;
    constructor(client: Client, settings: IElasticsearchIndexingTaskValuesSettings, defaults?: Partial<IIndexSettingsValues>);
    list(): Promise<string[]>;
    disableIndexing(index: string): Promise<IIndexSettingsValues>;
    enableIndexing(index?: string): Promise<void>;
    createIndex(index: string, settings?: Record<string, any>): Promise<void>;
    indexExists(index: string): Promise<boolean>;
}
